package utilities.log;

import java.applet.Applet;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

class AppletFrame extends Frame implements ActionListener {
  Applet applet;
  AppletFrame applet_frame;

  //  static final String QUIT = "Quit";
  // final static String SAVEIMAGEAS = "Save image as...";
  //  static final String SAVEDATAAS = "Save objects as...";
  //  static final String LOADDATA = "Load objects...";
  //  static final String ADDDATA = "Add objects...";
  //  static final String SAVECONDENSED = "Save squeezed objects as...";

  public AppletFrame(String title, Applet app, int width, int height) {
    super(title);
    applet = app;
    applet_frame = this;

    //file.addActionListener(this);

    add("Center", applet);
    setSize(new Dimension(width, height));

    show();

    applet.init();
    applet.start();

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        applet_frame.hide();
      } // applet? no.

      public void windowDeiconified(WindowEvent e) {
        //applet.start();
      }

      public void windowIconified(WindowEvent e) {
        //applet.stop();
      }
    });
  }

  public void showFrame() {
    applet_frame.show();
  }

  public void actionPerformed(ActionEvent e) {}

  static final void debug(String o) {
    System.out.println(o);
  }
}
