/*
 * ToDo:
 *
 */

package utilities.log;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Checkbox;
import java.awt.Color;
import java.awt.Font;
import java.awt.Label;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.net.URL;

public class LogPanel extends Applet implements ActionListener, ItemListener {
  String document_base;
  String java_version;
  String directory_separator;
  URL base_url;

  Applet applet;

  Panel input, output, input1, input2, input3, output1, output2;
  TextArea output_area;
  //f//inal static boolean log = false;
  final boolean application = false;
  final boolean development_version = false;

  int data[] = new int[256];
  int data1[];
  int data2[];

  String page_data[] = new String[3]; // null;

  String text_area_contents;
  int leng;
  int non_linearity;
  int total;
  int total_number;

  Button FWT_button, clear_button;

  Button launch_button;

  // final static String text_file_ending = ".txt";
  //final static String zip_file_ending = ".dat";

  int font = 4;
  int size = 20;
  int style = Font.BOLD;
  int fg = COLOUR_black;
  int bg = COLOUR_white;
  int text = 0;

  static final int FONT_TimesRoman = 0;
  static final int FONT_Corpus = 1;
  static final int FONT_Helvetica = 2;
  static final int FONT_DialogInput = 3;
  static final int FONT_Dialog = 4;
  static final int FONT_Symbol = 5;

  static final int COLOUR_black = 0;
  static final int COLOUR_white = 1;
  static final int COLOUR_red = 2;
  static final int COLOUR_blue = 3;
  static final int COLOUR_yellow = 4;
  static final int COLOUR_green = 5;
  static final int COLOUR_orange = 6;
  static final int COLOUR_pink = 7;
  static final int COLOUR_cyan = 8;
  static final int COLOUR_magenta = 9;
  static final int COLOUR_gray = 10;
  static final int COLOUR_lightGray = 11;
  static final int COLOUR_darkGray = 12;

  ChoiceHelper choose_font; // = new TTChoice(this);
  ChoiceHelper choose_size;
  ChoiceHelper choose_fg;
  ChoiceHelper choose_bg;

  Checkbox checkbox_bold;
  Checkbox checkbox_italic;

  Label label_time;

  public LogPanel() {
    setLayout(new BorderLayout());

    output = new Panel();

    output.setLayout(new BorderLayout());

    output1 = new Panel();
    output1.setBackground(Color.lightGray);

    //    Panel panel_time = new Panel();
    //    Label label_temp = new Label("Time left:", Label.RIGHT);
    //    panel_time.add(label_temp);
    //    label_time = new Label("00:00", Label.LEFT);
    //    panel_time.add(label_time);
    //    output1.add(panel_time);
    //    label_temp.setFont(new Font("Helevetica", Font.BOLD, 14));
    //    label_time.setFont(new Font("Helevetica", Font.BOLD, 14));

    // font...
    Panel panel_text = new Panel();
    panel_text.add(new Label("Text:", Label.RIGHT));

    //output1.add(panel_text);

    // fg
    Panel panel_fg = new Panel();
    panel_fg.add(new Label("Fg:", Label.RIGHT));

    choose_fg = new ChoiceHelper(this);
    choose_fg.add("black", COLOUR_black);
    choose_fg.add("white", COLOUR_white);
    choose_fg.add("red", COLOUR_red);
    choose_fg.add("blue", COLOUR_blue);
    choose_fg.add("yellow", COLOUR_yellow);
    choose_fg.add("green", COLOUR_green);
    choose_fg.add("orange", COLOUR_orange);
    choose_fg.add("pink", COLOUR_pink);
    choose_fg.add("cyan", COLOUR_cyan);
    choose_fg.add("magenta", COLOUR_magenta);
    choose_fg.add("gray ", COLOUR_gray);
    choose_fg.add("light gray ", COLOUR_lightGray);
    choose_fg.add("dark gray", COLOUR_darkGray);

    choose_fg.choice.select(choose_fg.num_to_str(fg));
    panel_fg.add(choose_fg.choice);
    output1.add(panel_fg);

    // bg
    Panel panel_bg = new Panel();
    panel_bg.add(new Label("Bg:", Label.RIGHT));

    choose_bg = new ChoiceHelper(this);
    choose_bg.add("black", COLOUR_black);
    choose_bg.add("white", COLOUR_white);
    choose_bg.add("red", COLOUR_red);
    choose_bg.add("blue", COLOUR_blue);
    choose_bg.add("yellow", COLOUR_yellow);
    choose_bg.add("green", COLOUR_green);
    choose_bg.add("orange", COLOUR_orange);
    choose_bg.add("pink", COLOUR_pink);
    choose_bg.add("cyan", COLOUR_cyan);
    choose_bg.add("magenta", COLOUR_magenta);
    choose_bg.add("gray ", COLOUR_gray);
    choose_bg.add("light gray ", COLOUR_lightGray);
    choose_bg.add("dark gray", COLOUR_darkGray);

    choose_bg.choice.select(choose_bg.num_to_str(bg));
    panel_bg.add(choose_bg.choice);
    output1.add(panel_bg);

    // font...
    Panel panel_font = new Panel();
    panel_font.add(new Label("Font:", Label.RIGHT));

    choose_font = new ChoiceHelper(this);
    choose_font.add("Times", FONT_TimesRoman);
    choose_font.add("Corpus", FONT_Corpus);
    choose_font.add("Helvetica ", FONT_Helvetica);
    choose_font.add("Dialog", FONT_Dialog);
    choose_font.add("Dialog II ", FONT_DialogInput);
    choose_font.add("Symbol", FONT_Symbol);

    choose_font.choice.select(choose_font.num_to_str(font));
    panel_font.add(choose_font.choice);
    output1.add(panel_font);

    // size...
    Panel panel_size = new Panel();
    panel_size.add(new Label("Size:", Label.RIGHT));

    choose_size = new ChoiceHelper(this);
    for (int i = 8; i < 128; i++) {
      choose_size.add("" + i, i);
    }

    choose_size.choice.select(choose_size.num_to_str(size));
    panel_size.add(choose_size.choice);
    output1.add(panel_size);

    // style...
    Panel panel_bold = new Panel();
    // panel_bold.add(new Label("Style:",Label.RIGHT));

    checkbox_bold = new Checkbox("Bold");
    checkbox_bold.addItemListener(this);
    checkbox_bold.setState((style & Font.BOLD) != 0);
    panel_bold.add(checkbox_bold);

    checkbox_italic = new Checkbox("Italic");
    checkbox_italic.addItemListener(this);
    checkbox_italic.setState((style & Font.ITALIC) != 0);
    panel_bold.add(checkbox_italic);

    output1.add(panel_bold);

    // ...
    output.add("North", output1);

    output2 = new Panel();
    output2.setLayout(new BorderLayout());

    output_area = new TextArea("", 2, 32, 1);
    output_area.setEditable(false);
    output_area.setBackground(Color.white);

    setFont();
    output2.add("Center", output_area);

    //    output_area.addMouseListener(new MouseAdapter() {
    //      public void mouseReleased(MouseEvent e) {
    //        if (output_area.getSelectionStart() != output_area.getSelectionEnd()) {
    //          int z = output_area.getCaretPosition();
    //          output_area.select(z, z);
    //          output_area.repaint();
    //        }
    //      }
    //    });

    add("North", output);
    add("Center", output2);

    initialMessage();

    //run();
  }

  public void initialMessage() {
    output_area.setText("");
  }

  public void setText() {
    if (output_area != null) {
      initialMessage();

      if (page_data[text] == null) {
        page_data[text] = "@-@";
      }

      output_area.setText(page_data[text]);
    }
  }

  public void append(String s) {
    if (output_area != null) {
      output_area.append(s);
      //output_area.setCaretPosition(0); //!?
    }
  }

  public void actionPerformed(ActionEvent ev) {}

  void setStyles() {
    style = (checkbox_italic.getState() ? Font.ITALIC : 0) | (checkbox_bold.getState() ? Font.BOLD : 0);
    setFont();
  }

  Color getColour(int i) {
    switch (i) {
      case COLOUR_black :
        return Color.black;
      case COLOUR_white :
        return Color.white;
      case COLOUR_red :
        return Color.red;
      case COLOUR_blue :
        return Color.blue;
      case COLOUR_yellow :
        return Color.yellow;
      case COLOUR_green :
        return Color.green;
      case COLOUR_orange :
        return Color.orange;
      case COLOUR_pink :
        return Color.pink;
      case COLOUR_cyan :
        return Color.cyan;
      case COLOUR_magenta :
        return Color.magenta;
      case COLOUR_gray :
        return Color.gray;
      case COLOUR_lightGray :
        return Color.lightGray;
      case COLOUR_darkGray :
        return Color.darkGray;
    }

    return null;
  }

  void setColour() {
    Color c;

    c = getColour(fg);
    output_area.setForeground(c);

    c = getColour(bg);
    output_area.setBackground(c);
  }

  void setFont() {
    String fn = null;
    switch (font) {
      case FONT_TimesRoman :
        fn = "TimesRoman";
        break;

      case FONT_Corpus :
        fn = "Corpus";
        break;

      case FONT_Helvetica :
        fn = "Helvetica";
        break;

      case FONT_Dialog :
        fn = "Dialog";
        break;

      case FONT_DialogInput :
        fn = "DialogInput";
        break;

      case FONT_Symbol :
        fn = "Symbol";
        break;
    }

    output_area.setFont(new Font(fn, style, size));
  }

  public void itemStateChanged(ItemEvent e) {
    String stateChangedString = null;
    try {
      if (e != null) {
        stateChangedString = (String) (e.getItem());
      }

      // ...
      if (choose_font.str_to_num(stateChangedString) != -99) {
        font = choose_font.str_to_num(stateChangedString);
        setFont();
      }

      if (choose_size.str_to_num(stateChangedString) != -99) {
        size = choose_size.str_to_num(stateChangedString);
        setFont();
      }

      if (e.getSource() == choose_fg.choice) {
        if (choose_fg.str_to_num(stateChangedString) != -99) {
          fg = choose_fg.str_to_num(stateChangedString);
          setColour();
        }
      }

      if (e.getSource() == choose_bg.choice) {
        if (choose_bg.str_to_num(stateChangedString) != -99) {
          bg = choose_bg.str_to_num(stateChangedString);
          setColour();
        }
      }

      if (e.getSource() == checkbox_italic) {
        setStyles();
      }

      if (e.getSource() == checkbox_bold) {
        setStyles();
      }
    } catch (java.lang.NullPointerException exc) {
      // do nothing...
    }
  }

  public static void log(String message) {
    System.out.println(message);
  }
}
